%define name khotkeys
%define version 1.0.3
%define release 3mdk
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: KHotKeys -- Assign commands to your favourite hotkeys
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Copyright: Artistic License
Group: Graphical desktop/KDE
Source: http://dforce.sh.cvut.cz/~seli/%{name}-%{version}.tar.gz
URL: http://dforce.sh.cvut.cz/~seli/khotkeys.html
Distribution: Linux-Mandrake
Requires: qt kdelibs
BuildRoot: /var/tmp/%{name}-buildroot

%description
This application lets you assign commands to different hotkey
combinations, switch to windows created by these commands and
record keypress sequences.

For example, assign KOrganizer to Ctrl+Alt+O and instead
of looking for KOrganizer on the taskbar, running it from
the menu or pressing Alt+F2 and typing 'korganizer', having two
or more  KOrganizer's running, simply keep pressing Ctrl+Alt+O
all the time and KHotKeys will take care of it.
Recording keypress sequences ( here called macros ) means you
can assign for example 'unsigned' to CTRL+U. And pressing CTRL+U
in a text editor will fill in 'unsigned' as if you have typed it.

Please uninstall ( rpm -e ) any previous KHotKeys rpm package before
installing this one.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
touch `find . -type f`

%build
libtoolize --force
if [ -z "$KDEDIR" ]; then
 export KDEDIR=%{prefix}
fi
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT
make install 

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="kcmhotkeys userhotkeys" icon="keyboard.xpm" needs="kde" section="KDE/Settings/Input Devices" title="KhotKeys"
EOF

cd $RPM_BUILD_ROOT
echo '%defattr(-,root,root,0755)' > $RPM_BUILD_DIR/file.list.%{name}
echo '%docdir /usr/doc/kde' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/file.list.%{name}

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
	fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files -f ../file.list.%{name}

%changelog
* Tue May 02 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.3-3mdk
- fixed wrong menu entry.

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.3-2mdk
- modified need for menu entry to kde.

* Thu Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3.
- updated Group.
- updated Distribution.
- added menu entry.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.2-2mdk
- libtoolize --force.

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- v1.0.2 build

* Mon Jun 28 1999 - Lubos Lunak<l.lunak@email.cz>
- new spec from Troy Engel <tengel@sonic.net>
- removed those stupid scripts that modify the startkde script

